<?php

declare(strict_types=1);

namespace Gls\GlsPoland\Soap\Client\Caller;

use Gls\GlsPoland\Soap\Client\Type\RequestInterface;
use Gls\GlsPoland\Soap\Client\Type\ResultInterface;

interface CallerInterface
{
    public function call(string $method, RequestInterface $request): ResultInterface;
}
